Package com.opensymphony.module.sitemesh.html

# Class HTMLProcessor

java.lang.Object
com.opensymphony.module.sitemesh.html.HTMLProcessor

public class HTMLProcessor extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private State`
`currentState`
`private final State`
`defaultState`
`private final char[]`
`in`
`private final CharArray`
`out`
`private Writer`
`outStream`

## Constructor Summary

Constructors
Constructor
Description
`HTMLProcessor(char[] in, CharArray out)`
`HTMLProcessor(Reader in, Writer out)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addRule(TagRule rule)`
Equivalent of htmlProcessor.defaultState().addRule()
`void`
`addTextFilter(TextFilter textFilter)`
`State`
`defaultState()`
`void`
`process()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### in

private final char[] in

### out

private final CharArray out

### defaultState

private final State defaultState

### currentState

private State currentState

### outStream

private Writer outStream

## Constructor Details

### HTMLProcessor

public HTMLProcessor(char[] in, CharArray out)

### HTMLProcessor

public HTMLProcessor(Reader in, Writer out) throws IOException

Throws:
  `IOException`

## Method Details

### defaultState

public State defaultState()

### addRule

public void addRule(TagRule rule)
Equivalent of htmlProcessor.defaultState().addRule()

### process

public void process() throws IOException

Throws:
  `IOException`

### addTextFilter

public void addTextFilter(TextFilter textFilter)